Library Version 18.1.40

DB_ENV->get_tx_timestamp()
Prev | Chapter 12. The DB_TXN Handle | Next

## DB_ENV->get_tx_timestamp()

    #include <db.h>

    int
    DB_ENV->get_tx_timestamp(DB_ENV *dbenv, time_t *timestampp);

The `DB_ENV->get_tx_timestamp()` method returns the recovery timestamp. This value can be modified using the DB_ENV->set_tx_timestamp() method.

The `DB_ENV->get_tx_timestamp()` method may be called at any time during the life of the application.

The `DB_ENV->get_tx_timestamp()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### timestampp

The `DB_ENV->get_tx_timestamp()` method returns the recovery timestamp in timestampp.

### Class

DB_ENV, DB_TXN

### See Also

Transaction Subsystem and Related Methods, DB_ENV->set_tx_timestamp()

Prev | Up | Next
DB_ENV->get_tx_max() | Home | DB_ENV->set_tx_max()